import { Module } from '@nestjs/common'
import { ConnectionsService } from './connections.service'
import { ConnectionsController } from './connections.controller'
import { MongooseModule } from '@nestjs/mongoose'
import { Connection, ConnectionSchema } from 'src/schemas/connection.schema'
import { User, UserSchema } from 'src/schemas/user.schema'

@Module({
  imports: [
    MongooseModule.forFeature([
      { name: User.name, schema: UserSchema },
      { name: Connection.name, schema: ConnectionSchema },
    ]),
  ],
  controllers: [ConnectionsController],
  providers: [ConnectionsService],
})
export class ConnectionsModule {}
