import { IsDate, IsEnum, IsNotEmpty, IsString } from 'class-validator'
import { ChampionshipLevel, EventStatus } from 'src/schemas/event.schema'

export class CreateEventDto {
  @IsNotEmpty()
  @IsString()
  name: string

  @IsNotEmpty()
  @IsEnum(EventStatus)
  status: EventStatus

  @IsNotEmpty()
  @IsString()
  description: string

  @IsNotEmpty()
  @IsString()
  image: string

  @IsNotEmpty()
  @IsString()
  location: string

  @IsNotEmpty()
  @IsDate() // lehet hogy IsDateString
  startTime: Date

  @IsNotEmpty()
  @IsDate() // lehet hogy IsDateString
  endTime: Date

  @IsNotEmpty()
  @IsEnum(ChampionshipLevel)
  championshipLevel: ChampionshipLevel

  @IsNotEmpty()
  @IsString()
  category: string

  @IsNotEmpty()
  @IsString()
  rosterName: string

  @IsNotEmpty()
  @IsString()
  rosterUrl: string
}
