import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose'
import mongoose, { HydratedDocument } from 'mongoose'
import { User } from './user.schema'

export type ConnectionDocument = HydratedDocument<Connection>

export type ConnectionStatus = 'PENDING' | 'ACTIVE'

// export type Userr = {
//   id: number;
//   profileType: {
//     id: number;
//     name: string;
//   };
//   email: string;
//   country: {
//     id: number;
//     name: string;
//     languageKey: keyof typeof countries;
//   };
//   status: RegistrationStatus;
//   profilePic?: string;
//   description?: string;
//   contacts?: string;
//   birthDate: string;
//   firstName: string;
//   lastName: string;
//   racerName: string;
//   interests?: UserInterestDTO[];
//   socialLinks?: SocialLinkDTO[];
//   sponsors?: SponsorDTO[];
// }

@Schema()
export class Connection {
  @Prop({
    required: true,
    type: { type: mongoose.Schema.Types.ObjectId, ref: 'User' },
  })
  sender: User

  @Prop({
    required: true,
    type: { type: mongoose.Schema.Types.ObjectId, ref: 'User' },
  })
  reciever: User

  @Prop({ required: true, enum: ['PENDING', 'ACTIVE'] })
  status: ConnectionStatus
}

export const ConnectionSchema = SchemaFactory.createForClass(User)
