import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose'
import { HydratedDocument } from 'mongoose'

export type UserDocument = HydratedDocument<User>
export type RegistrationStatus = 'PENDING' | 'CONFIRMED'

// export type Userr = {
//   id: number;
//   profileType: {
//     id: number;
//     name: string;
//   };
//   email: string;
//   country: {
//     id: number;
//     name: string;
//     languageKey: keyof typeof countries;
//   };
//   status: RegistrationStatus;
//   profilePic?: string;
//   description?: string;
//   contacts?: string;
//   birthDate: string;
//   firstName: string;
//   lastName: string;
//   racerName: string;
//   interests?: UserInterestDTO[];
//   socialLinks?: SocialLinkDTO[];
//   sponsors?: SponsorDTO[];
// }

@Schema()
export class User {
  @Prop({ required: true })
  profileType: string
  @Prop({ required: true })
  email: string
  @Prop({ required: true })
  password: string
  @Prop({ required: true })
  country: string
  @Prop({ required: true, enum: ['PENDING', 'CONFIRMED'] })
  status: RegistrationStatus
  @Prop()
  profilePic: string
  @Prop()
  description: string
  @Prop()
  contacts: string
  @Prop({ required: true })
  birthDate: Date
  @Prop({ required: true })
  firstName: string
  @Prop({ required: true })
  lastName: string
  @Prop({ required: true })
  racerName: string
  @Prop({ required: true })
  interests: string[]
  socialLinks: string[]
  @Prop({ required: true, type: {} })
  attributes: any
  @Prop()
  registrationToken: string
}

export const UserSchema = SchemaFactory.createForClass(User)
