import { Body, Controller, Get, Query } from '@nestjs/common'
import { SearchService } from './search.service'
import { GeneralSearchDto } from './dto/general-search.dto'
import { ProfileAdvancedSearchDto } from './dto/advanced-search-profile.dto'
import { PaginationDto } from 'src/common/dto/pagination.dto'
import { EventAdvancedSearchDto } from './dto/advanced-search-event.dto'

@Controller('search')
export class SearchController {
  constructor(private readonly searchService: SearchService) {}

  @Get('profile')
  advancedSearchProfile(
    @Query() pagination: PaginationDto,
    @Body() body: ProfileAdvancedSearchDto,
  ) {
    return this.searchService.advancedSearchProfile(pagination, body)
  }

  @Get('event')
  advancedSearchEvent(
    @Query() pagination: PaginationDto,
    @Body() body: EventAdvancedSearchDto,
  ) {
    return this.searchService.advancedSearchEvent(pagination, body)
  }

  @Get('general/profile')
  generalSearchProfile(@Query() queryParams: GeneralSearchDto) {
    return this.searchService.generalSearchProfile(queryParams)
  }

  @Get('general/event')
  generalSearchEvent(@Query() queryParams: GeneralSearchDto) {
    return this.searchService.generalSearchEvent(queryParams)
  }
}
